Prototype/urls.py
from django.contrib import admin
from django.urls import path, include
from register import views as v
from dinnerGenie import views as p


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('landingpage.urls')),
    path('dinnergenie/', include('dinnerGenie.urls')),
    path('crud/', include('crud.urls', namespace='crud')),
    path('tictactoe/', include('tictactoe.urls')),
    path("register/", v.register, name="register"),
    path("login/", v.loginpage, name="loginpage"),
    path("logout/", v.logoutfunc, name="logout"),
    path("secret/", v.secret, name="secret"),
    path("intro/", p.intropage, name="intro"),
]

crud/urls.py
from django.urls import path
from . import views

app_name = 'crud'

urlpatterns = [
    #calling a class based view
    path('', views.IndexView.as_view(), name="crudhomepage"),
    path('add/', views.AddView.as_view(), name='add'),
    path('posts/', views.PostsView.as_view(), name='posts'),
    path('<slug:slug>/', views.SingleView.as_view(), name='single'),
    path('edit/<int:pk>/', views.EditView.as_view(), name='edit'),
    path('delete/<int:pk>/', views.DeleteView.as_view(), name='delete'),
]

dinnerGenie/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('', views.dgpage, name='dgpage')
]

landingpage/urls.py
from django.contrib import admin
from django.urls import path
from django.urls import include
from . import views

urlpatterns = [
    path('', views.landingpage, name='landingpage')
]

tictactoe/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('', views.gameindex, name='gameindex')
]

crud/models.py
from django.db import models
from django.urls import reverse
from django.utils import timezone
from django.contrib.auth.models import User


class Core(models.Model):

    title = models.CharField(max_length=200)
    excerpt = models.TextField(null=True)
    author = models.ForeignKey(User, on_delete=models.CASCADE, related_name='core')
    slug = models.SlugField(max_length=100, unique=True)
    updated = models.DateTimeField(auto_now=True)
    published = models.DateTimeField(default=timezone.now)

    def get_absolute_url(self):
        return reverse('crud:single', args=[self.slug])

    class Meta:
        ordering = ['-published']

    def __str__(self):
        return self.title

dinnerGenie/models.py
from django.db import models

# Create your models here.

landingpage/models.py
from django.db import models


# Contact form
class Contact(models.Model):
    email = models.EmailField()
    subject = models.CharField(max_length=255)
    message = models.TextField()

    def __str__(self):
        return self.email

register/models.py
from django.db import models

# Create your models here.

tictactoe/models.py
from django.db import models

# Create your models here.

crud/forms.py
from django import forms
from .models import Core

class PostForm(forms.ModelForm):
    class Meta:
        model = Core
        fields = "__all__"

dinnerGenie/forms.py
from django import forms


class SubmitForm(forms.Form):
    zipcode = forms.IntegerField()
    distance = forms.ChoiceField(choices=[(10000, '5'), (20000, '10'), (30000, '15'), (40000, '20'), (50000, '25 +')])
    price = forms.ChoiceField(choices=[(1, '$'), (2, '$$'), (3, '$$$'), (4, '$$$$')])

landingpage/forms.py
from django.forms import ModelForm
from .models import Contact


class ContactForm(ModelForm):
    class Meta:
        model = Contact
        fields = '__all__'

register/forms.py
from django import forms
from django.contrib.auth import login, authenticate
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User


class RegisterForm(UserCreationForm):
    email = forms.EmailField()

    class Meta:
        model = User
        fields = ["username", "email", "password1", "password2"]

crud/views.py
from django.shortcuts import render
from .models import Core
from django.views.generic import ListView, DetailView, CreateView, UpdateView, DeleteView
from django.urls import reverse_lazy


# generic views imported above, collects all info in the db
class IndexView(ListView):
    # this var names the db model
    model = Core
    # pass object to the crud index file
    template_name = 'crudindex.html'
    # this contains the db with the name crudindex and is ready to be passed in django templating
    context_object_name = 'crudindex'


class SingleView(DetailView):
    model = Core
    template_name = 'single.html'
    context_object_name = 'post'


class PostsView(ListView):
    model = Core
    template_name = 'crudposts.html'
    context_object_name = 'post_list'


class AddView(CreateView):
    model = Core
    template_name = 'add.html'
    fields = '__all__'
    success_url = reverse_lazy('crud:posts')


class EditView(UpdateView):
    model = Core
    template = 'edit.html'
    fields = '__all__'
    pk_url_kwarg = 'pk'
    success_url = reverse_lazy('crud:posts')

class DeleteView(DeleteView):
    model = Core
    pk_url_kwarg = 'pk'
    success_url = reverse_lazy('crud:posts')
    template_name = 'confirm-delete.html'

dinnerGenie/views.py
# Create your views here.
import json

from django.shortcuts import render
from .forms import SubmitForm
import requests
import random


def intropage(request):
    context = {}
    return render(request, "intro.html", context)


# Create your views here.
def dgpage(request):
    # if this is a POST request we need to process the data within the form
    if request.method == 'POST':
        form = SubmitForm(request.POST)
        # check whether it's valid
        if form.is_valid():
            # declare form variables
            zipcode = form.cleaned_data['zipcode']
            distance = form.cleaned_data['distance']
            price = form.cleaned_data['price']
            GOOGLE_MAPS_API_URL = 'https://maps.googleapis.com/maps/api/place/textsearch/json?'

            # convert int to string with f-string
            c_zipcode = f'{zipcode}'
            c_distance = f'{distance}'
            c_price = f'{price}'
            req_query = 'restaurants+' + c_zipcode

            params = {
                'key': 'AIzaSyBo5PrV2WYdqspwPPLJRVaRHspx1k8kSY4',
                'query': req_query,
                'maxprice': c_price,
                'radius': c_distance
            }
            req = requests.post(GOOGLE_MAPS_API_URL, params=params)
            res = req.json()

            q_result = []
            for data in res['results']:
                q_result.append(data['name'])

            # Select random place
            genie_choice_name = random.choice(q_result)

            return render(request, "response.html", {'form_py': form, 'names': q_result,
                                                     'genie_choice_name': genie_choice_name})
    else:
        form = SubmitForm
    s_result = ''
    return render(request, "dg.html", {'form_py': form, 'names': s_result})

landingpage/views.py
from django.shortcuts import render
from .forms import ContactForm


# Create your views here.
def landingpage(request):
    if request.method == 'POST':
        form = ContactForm(request.POST)
        if form.is_valid():
            form.save()
            return render(request, 'success.html')
    # Updated form from html to using django forms
    form = ContactForm()
    context = {'form': form}
    return render(request, "index.html", context)

register/views.py
from django.shortcuts import render, redirect
from .forms import RegisterForm
from django.contrib.auth import authenticate, login, logout


# Create your views here.
def register(request):
    if request.method == "POST":
        form = RegisterForm(request.POST)
        if form.is_valid():
            form.save()
        return redirect('/login/')
    else:
        form = RegisterForm()
    context = {"form": form}
    return render(request, "registration.html", context)


def loginpage(request):
    if request.method == "POST":
        username = request.POST.get('username')
        password = request.POST.get('password')

        user = authenticate(request, username=username, password=password)

        if user is not None:
            login(request, user)
            return redirect("/dinnergenie/")

        else:
            return redirect("/login/")

    context = {}
    return render(request, "login.html", context)


def logoutfunc(request):
    logout(request)
    return redirect("/login/")


def secret(request):
    return render(request, "secret.html", {})

tictactoe/views.py
from django.shortcuts import render


# Create your views here.
def gameindex(request):
    return render(request, "gameindex.html", {})

crud/templates/add.html
{% extends 'crud_base.html' %}
{% load widget_tweaks %}
{% block content %}

<div class="container pt-5">
    <form method="post" novalidate>
        {% csrf_token %}
        {% for field in form.visible_fields %}
        <div class="form-group">
            <label for="{{ field.id_for_label }}">{{ field.label }}</label>
            {{ field|add_class:'form-control' }}
            {% for error in field.errors %}
            <span class="help-block">{{ error }}</span>
            {% endfor %}
        </div>
        {% endfor %}
        <div class="form-group">
            <button type="submit" class="btn btn-success">
                <span class="glyphicon glyphicon-ok"></span>Submit
            </button>
            <a href="posts/" class="btn btn-defult">Cancel</a>
        </div>
    </form>
</div>

{% endblock %}

crud/templates/confirm-delete.html
{% extends 'crud_base.html' %}
{% block content %}

<div class="container pt-5">
    <form method="post">
        {% csrf_token %}
            <p>Are you sure you want to delete "{{ object }}"?</p>
            <input type="submit" value="Confirm">
        </form>
    </div>

{% endblock %}

crud/templates/crud_base.html
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <title>Crud App</title>
</head>
<body>
<!--Injecting Nav bar here so all pages recieve the nav bar-->
{% include 'navbar.html' %}
<!--Django Templating other pages will be injected in between-->
{% block content %}
{% endblock %}
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js" integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf" crossorigin="anonymous"></script>
    </body>
<footer>
    {% include 'footer.html' %}
</footer>
</html>

crud/templates/crudindex.html
{% extends "crud_base.html" %}
<!--Content to be injected below-->
{% block content %}
<!--Needed for adding static files/pics-->
{% load static %}
<h1>CRUD operations</h1>
<!--classes used are specific to the bootstrap check docs for more css tags-->
<div class="album py-5 bg-light">
    <div class="container">
         <div class="row">
<!--             Python Templating that will loop through the database and pull all the objects-->
            {% for core in crudindex %}
                <div class="col-md-4">
<!--                    The objects for the db will be added to each bootstrapped card below-->
                    <div class="card mb-4 box-shadow">
                        <img class="card-img-top" src="{% static '/images/paper.jpg' %}" alt="Card image cap">
                        <div class="card-body">
<!--                            The url function is pulled for the model.py post and the title of the entry is added to card-->
                            <h4 class=""><a href="{{ core.get_absolute_url }}">{{ core.title }}</a></h4>
                                <p class="card-text"></p>
                            <div class="d-flex justify-content-between align-items-center">
                                <div class="">
                                    <small class="text-muted">9 mins</small>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
<!--             Needed whenever for, while, and if statements are used-->
             {% endfor %}
        </div>
    </div>
</div>

{% endblock %}

crud/templates/crudposts.html
{% extends 'crud_base.html' %}
{% block content %}

<!--Additional nav bar below main nav used for adding new db items-->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="navbar-brand">Post Administration</div>
    <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
            <li class="nav-item active">
                <a class="nav-link" href="{% url 'crud:add' %}">Add New</a>
            </li>
        </ul>
    </div>
</nav>

<div class="album py-5 bg-light">
    <div class="container">
        <div class="row">
<!--            loop to output all the posts-->
            {% for post in post_list %}
            <div class="col-md-4">
                <div class="card mb-4 box-shadow">
                    <img class="card-img-top" src="https://via.placeholder.com/150x100" alt="Card image cap">
                    <div class="card-body">
                        <h4 class="lead"><a class="text-dark" href="{% url 'crud:single' post.pk %}">{{ post.title }}</a></h4>
                            <p class="card-text"></p>
                            <div class="d-flex justify-content-between align-items-center">
                                <div class="btn-group">
                                    <a href="{{ post.get_absolute_url }}" class="btn btn-sm btn-outline-primary" role="button" aria-pressed="true">View</a>
                                    <a href="{% url 'crud:edit' post.pk %}" class="btn btn-sm btn-outline-secondary" role="button" aria-pressed="true">Edit</a>
                                    <a href="{% url 'crud:delete' post.pk %}" class="btn btn-sm btn-outline-secondary" role="button" aria-pressed="true">Delete</a>
                                </div>
                                <small class="text-muted">9 mins</small>
                            </div>
                    </div>
                </div>
            </div>
        {% endfor %}
        </div>
    </div>
</div>

{% endblock %}

crud/templates/edit.html
{% extends 'crud_base.html' %}
{% load widget_tweaks %}
{% block content %}

<div class="container pt-5">
    <form method="post" novalidate>
        {% csrf_token %}
        {% for field in form.visible_fields %}
        <div class="form-group">
            <label for="{{ field.id_for_label }}">{{ field.label }}</label>
            {{ field|add_class:'form-control' }}
            {% for error in field.errors %}
            <span class="help-block">{{ error }}</span>
            {% endfor %}
        </div>
        {% endfor %}
        <div class="form-group">
            <button type="submit" class="btn btn-success">
                <span class="glyphicon glyphicon-ok"></span> Edit
            </button>
            <a href="{% url 'crud:posts' %}" class="btn btn-default">Cancel</a>
        </div>
    </form>
</div>

{% endblock %}

crud/templates/footer.html
<div class="container" xmlns="http://www.w3.org/1999/html">
    <footer class="pt-4 my-md-5 pt-md-5 border-top">
        <div class="row">
            <div class="col-12 col-md">
                Create, Read, Update, Delete
                <small class="d-block mb-3 text-muted">

                </small>
            </div>
            <div class="col-6 col-md">
                <h5>Admin</h5>
                <ul class="list-unstyled text-small">
                    <li><a href="#">Post Admin</a></li>
                </ul>
            </div>
            <div class="col-6 col-md">
                <h5>About Us</h5>
                <ul class="list-unstyled text-small">
                    <li>
                        <a href="#" class="text-muted"></a>
                    </li>
                </ul>
            </div>
            <div class="col-6 col-md">
                <h5>Resources</h5>
                <ul class="list-unstyled text-small">
                    <li><a href="/" class="text-muted">Home</a></li>
                    <li><a href="#" class="text-muted"></a></li>
                </ul>
            </div>
        </div>
    </footer>
</div>

crud/templates/navbar.html
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">Navbar</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link active" aria-current="page" href="#">Home</a>
                </li>
                <li class="nav-item">
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        Dropdown
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="#">Action</a></li>
                        <li><a class="dropdown-item" href="#">Another action</a></li>
                        <li><hr class="dropdown-divider"></li>
                        <li><a class="dropdown-item" href="#">Something else here</a></li>
                    </ul>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>
                </li>
            </ul>
            <form class="d-flex">
                <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
                <button class="btn btn-outline-success" type="submit">Search</button>
            </form>
        </div>
    </div>
</nav>

crud/templates/newpage.html
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
<h1>NEW PAGE</h1>
</body>
</html>

crud/templates/single.html
{% extends "crud_base.html" %}
<!--Content to be injected below-->
{% block content %}
<!--Needed for adding static files/pics-->
{% load static %}
<h1>Single DB entry view</h1>
<!--classes used are specific to the bootstrap check docs for more css tags-->
<div class="container">
    <div class="row">
        <div class="col-12 pt-5">
            <img class="card-img-top" src="{% static '/images/paper.jpg' %}"></img>
            Object pulled from db
            <h2 class="pt-5">{{post.title}}</h2>
            <p>{{post.excerpt}}</p>
        </div>
    </div>
</div>

{% endblock %}

dinnerGenie/templates/dg.html
{% load static %}
<html>
<head>
    <title>Dinner Genie</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="{% static 'css/dg.css' %}">
</head>
<body class="Body">
<nav class="navbar navbar-inverse">
    <div class="container-fluid">
        <div class="navbar-header">
            <a class="navbar-brand" href="#">Dinner Genie</a>
        </div>
        <ul class="nav navbar-nav">
            <li class="active"><a href="#">Home</a></li>
            <li><a href="/register/">Register</a></li>
            <li><a href="/login/">Login</a></li>

        </ul>
    </div>
</nav>
<div class="FirstHeader">
    <h1> Welcome, Dinner Genie is here to serve you!</h1>
</div>
<div class="SecondHeader">
    <form action="" class="formCSS" method="post">
        {% csrf_token %}
        {{ form_py }}
        {% if form.subject.errors %}
        <ol>
            {% for error in form.subject.errors %}
            <li><strong>{{ error|escape }}</strong></li>
            {% endfor %}
        </ol>
        {% endif %}
<!--        Make genie sping before response page gets loaded-->
        <input class="SubmitButton" type="submit">
    </form>
</div>
<div class="GenieBox">
    <img class="genie" src="{% static 'images/genie.png' %}" alt="" id="genie">
</div>
</body>
<script src="{% static 'javascript/dg.js' %}"></script>
</html>

dinnerGenie/templates/intro.html
{% load static %}
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

    <style>
    .jumbotron {
      background-color: #000080; /* Navy Blue */
      color: #ffffff;}
    </style>

    <title>DinnerGenie</title>
</head>
<body>
<div class="jumbotron">
    <div class="container text-center">
<h1>DinnerGenie</h1>
<p>Are you tired of thinking about where you're going to eat?<br>
    If so, let DinnerGenie decide for you! </p>
        <form>
            <div class="input-group">
                <div class="input-group-btn">
                    <h4><em>Want to receive special offers?</em></h4><a href="/register/">Signup here!
                    <button type="button" class="btn btn-info">Signup here!</button></a>
                    <h4><em>Or try our app for free with a 7-day trial period! No commitment necessary!</em></h4>
                    <a href="/dinnergenie/"><button type="button" class="btn btn-info">Free Trial</button></a>
                </div>
            </div>
        </form>
    </div>
</div>
    <div id="about" class="container-fluid text-center">
        <div class="row">
            <div class="col-sm-8" style="padding-left: 50rem">
                <h2>Welcome, I am here to serve your tastebuds!</h2><br>
                <a href="/register/"></a>
                <img src="{% static 'images/genie.png' %}" alt="genie" class="center">
            </div>
            <div class="col-sm-4">
            </div>
        </div>
    </div>
</body>
</html>

dinnerGenie/templates/response.html
{% load static %}
<html>
<head>
    <title>Dinner Genie</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="{% static 'css/dg.css' %}">
</head>
<body class="Body">
<nav class="navbar navbar-inverse">
    <div class="container-fluid">
        <div class="navbar-header">
            <a class="navbar-brand" href="#">Dinner Genie</a>
        </div>
        <ul class="nav navbar-nav">
            <li class="active"><a href="/dinnergenie/">Home</a></li>
            <li><a href="/register/">Register</a></li>
            <li><a href="/login/">Login</a></li>

        </ul>
    </div>
</nav>
<div class="FirstHeader">
    <h1> The genie in his infinite wisdom and magic has chosen your destination</h1>
</div>
<div class="results_box">
    <div class="Results_GenieBox">
        <img class="results_genie" src="{% static 'images/genie.png' %}" alt="" id="results_genie">
    </div>
<!--    Need to update media css to include smaller screens-->
    <div class="results">
        <div class="results_list">
            <br><br>
            <h2>The Genie picks!!</h2>
            <li><bold>{{ genie_choice_name }}</bold></li>
            <h3>Or try one of these fine choices</h3>
            <!--    Need a for loop here to go through all the entries in the list-->
            <ul>
                {% for eachname in names %}
                <li>{{ eachname }}</li>
                {% endfor %}
            </ul>
        </div>
    </div>
</div>
<!--<h3>Google Map</h3>-->
<!--<div class="googleMap" id="map"></div>-->
<!--<script-->
<!--        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBo5PrV2WYdqspwPPLJRVaRHspx1k8kSY4&callback=initMap&libraries=&v=weekly"-->
<!--        async-->
<!--&gt;</script>-->
</body>
<script src="{% static 'javascript/dg.js' %}"></script>
</html>

landingpage/templates/base.html
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Arshia Rahman</title>
    <link rel="stylesheet" href="{% static '/css/main.css' %}">
</head>
<body>
{% block page_content %}

{% endblock %}
</body>
</html>

landingpage/templates/navbar.html
<!--Should be dynamically created using the same style as crud app-->

landingpage/templates/success.html
<h1>Thank you for your inquiry</h1>
<p>Your contact information and message was successfully submitted.</p>

register/templates/login.html
{% extends "register_base.html" %}
{% load static %}


{% block content %}

<link
        href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css"
        rel="stylesheet"
/>
<!-- Google Fonts -->
<link
        href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap"
        rel="stylesheet"
/>
<!-- MDB -->
<link
        href="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/3.6.0/mdb.min.css"
        rel="stylesheet"
/>
<section class="vh-100" style="background-color: #eee;">
    <div class="container h-100">
        <div class="row d-flex justify-content-center align-items-center h-100">
            <div class="col-lg-12 col-xl-11">
                <div class="card text-black" style="border-radius: 25px;">
                    <div class="card-body p-md-5">
                        <div class="row justify-content-center">
                            <div class="col-md-10 col-lg-6 col-xl-5 order-2 order-lg-1">

                                <p class="text-center h1 fw-bold mb-5 mx-1 mx-md-4 mt-4">Login</p>

                                <form method="POST" class="mx-1 mx-md-4">
                                    {% csrf_token %}
                                        <div class="d-flex flex-row align-items-center mb-4">
                                            <i class="fas fa-user fa-lg me-3 fa-fw"></i>
                                            <div class="form-outline flex-fill mb-0">
                                                <input type="text" id="form3Example1c" class="form-control" name="username" required/>
                                                <label class="form-label" for="form3Example1c">Username</label>
                                            </div>
                                        </div>
                                        <div class="d-flex flex-row align-items-center mb-4">
                                            <i class="fas fa-lock fa-lg me-3 fa-fw"></i>
                                            <div class="form-outline flex-fill mb-0">
                                                <input type="password" id="form3Example4c" class="form-control" name="password" required/>
                                                <label class="form-label" for="form3Example4c">Password</label>
                                            </div>
                                        </div>
                                        <div class="d-flex justify-content-center mx-4 mb-3 mb-lg-4">
                                            <button type="submit" class="btn btn-primary btn-lg">Login</button>
                                        </div>
                                </form>
                                <div class="col-md-10 col-lg-6 col-xl-5 order-2 order-lg-1">
                                        <p> not a returning user?</p>
                                        <h6><a href="/register">register here</a></h6>
                                    <br><br>
                                        <p>Return to Dinnergenie</p>
                                    <h6><a href="/dinnergenie/">homepage</a></h6>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
{% endblock %}

<!--<form action="" method="POST">-->
<!--    {% csrf_token %}-->
<!--    <div class="imgcontainer">-->
<!--        <img src="{% static 'images/loginIcon.png' %}" alt="Avatar" class="avatar">-->
<!--    </div>-->

<!--    <div class="container">-->
<!--        <label for="uname"><b>Username</b></label>-->
<!--        <input type="text" placeholder="Enter Username" name="username" required>-->

<!--        <label for="psw"><b>Password</b></label>-->
<!--        <input type="password" placeholder="Enter Password" name="password" required>-->

<!--        <button type="submit">Login</button>-->
<!--        <label>-->
<!--            <input type="checkbox" checked="checked" name="remember"> Remember me-->
<!--        </label>-->
<!--        <p> not a returning user?</p>-->
<!--        <strong><a href="/register">register here</a></strong>-->

<!--    </div>-->


<!--</form>-->

register/templates/register_base.html
{% load static %}

<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Arshia Rahman</title>
    <link rel="stylesheet" href="{% static '/css/registration.css' %}">

</head>
<body>

<h1></h1>
<!--Django Templating other pages will be injected in between-->
{% block content %}
    <form method="POST" class="form-group">
        {% csrf_token %}
        {{form}}
        <a href="/register"<button> click me!</button></a>
        </form>
{% endblock %}
<h2></h2>
</body>
</html>

register/templates/secret.html
{% extends "register_base.html" %}
{% block content %}
{% if user.is_authenticated %}

<h1>congratulations your authenticated</h1>
{% else %}
<h1>nice try</h1>
{% endif %}
{% endblock %}

tictactoe/templates/gamebase.html
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Tic Tac Toe</title>
    <link rel="stylesheet" href="{% static '/css/game.css' %}">
</head>
<body class ="base_body">
{% block content %}
{% endblock %}
<script src="{% static '/javascript/game.js' %}"></script>
</body>
</html>